Package org.springframework.security.core.context

# Class SecurityContextImpl

java.lang.Object
org.springframework.security.core.context.SecurityContextImpl

All Implemented Interfaces:
  `Serializable`, `SecurityContext`

Direct Known Subclasses:
  `TransientSecurityContext`

public class SecurityContextImpl extends Object implements SecurityContext
Base implementation of `SecurityContext`.

Used by default by `SecurityContextHolder` strategies.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SecurityContextImpl()`
`SecurityContextImpl(Authentication authentication)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`Authentication`
`getAuthentication()`
Obtains the currently authenticated principal, or an authentication request token.
`int`
`hashCode()`
`void`
`setAuthentication(Authentication authentication)`
Changes the currently authenticated principal, or removes the authentication information.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SecurityContextImpl

public SecurityContextImpl()

### SecurityContextImpl

public SecurityContextImpl(Authentication authentication)

## Method Details

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### getAuthentication

public Authentication getAuthentication()
Description copied from interface: `SecurityContext`
Obtains the currently authenticated principal, or an authentication request token.

Specified by:
  `getAuthentication` in interface `SecurityContext`
Returns:
  the `Authentication` or `null` if no authentication information is available

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### setAuthentication

public void setAuthentication(Authentication authentication)
Description copied from interface: `SecurityContext`
Changes the currently authenticated principal, or removes the authentication information.

Specified by:
  `setAuthentication` in interface `SecurityContext`
Parameters:
  `authentication` - the new `Authentication` token, or `null` if no further authentication information should be stored

### toString

public String toString()

Overrides:
  `toString` in class `Object`